package cn.fastfun.service;

import cn.fastfun.controller.dto.DeviceAttrDTO;
import cn.fastfun.service.entity.AppDevice;
import cn.fastfun.service.repository.AppDeviceRepository;
import com.bridge.service.JpaService;

import java.util.List;
import java.util.Map;

/**
 * 设备相关服务
 */
public interface AppDeviceService extends JpaService<AppDevice, String> {

    /**
     * excel导入设备
     */
    void importDevice(List<Map<String, Object>> list);

    /**
     * 获得repository
     *
     * @return
     */
    AppDeviceRepository getRepository();


    /**
     * sn编号转中文
     *
     * @param sn
     * @return
     */
    DeviceAttrDTO sn2Attr(String sn);

}
